## lua-curl 0.3.0

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,15 @@
 LUADOC= luadoc
 VERSION_INFO=0:0:0
 
-CONSTANTS:= curlopt.h curl_netrcopt.h curl_form.h curl_authopt.h 
-CURL_CFLAGS:= $(shell curl-config --cflags 2>/dev/null)
+CONSTANTS:= curlopt.h curl_netrcopt.h \
+	curl_form.h curl_authopt.h curl_ftpauthopt.h curl_ftpmethods.h
+CURL_CFLAGS:= $(shell curl-config --cflags 2>/dev/null) $(shell getconf LFS_CFLAGS)
 CURL_LDFLAGS:= $(shell curl-config --libs 2>/dev/null)
 REALSO:=$(LIBNAME).so.$(subst :,.,$(VERSION_INFO))
 
 # ------------------------------ lua5.1 stuff ---------------------------------
 ifeq "$(LUA)" "lua5.1"
-LUA_CFLAGS := $(shell pkg-config lua5.1 --cflags)
+LUA_CFLAGS := $(shell pkg-config lua5.1 --cflags) $(shell getconf LFS_CFLAGS)
 # This retrieves the name of the libtool convenience library for Lua
 # (e.g. "/usr/lib/liblua5.1.la") used by --mode=link.
 LUA_LIBTOOL_S := $(shell pkg-config lua5.1 --variable=libtool_lib)
@@ -94,11 +95,16 @@
 	$(RM) -f *.o *.lo *.la *.so app doc/index.html doc/*.lua
 	$(RM) -rf ./.libs/
 	$(RM) -f $(CONSTANTS) static-stamp dynamic-stamp
+	$(RM) -rf win32-*
 
 dist: clean
 	DIR=`basename $$PWD`;\
+	VERSION=`grep LUACURL_VERSION version.h|cut -d \" -f 2`;\
 		cd ..;\
-		tar -cvzf $$DIR.tar.gz -X $$DIR/exclude-dist $$DIR
+		cp -r $$DIR lua-curl-$$VERSION; \
+		tar -cvzf lua-curl_$$VERSION.orig.tar.gz \
+		-X $$DIR/exclude-dist lua-curl-$$VERSION;\
+		rm -rf lua-curl-$$VERSION
 
 # Constants genereated starting from the cURL headers:
 
@@ -117,9 +123,61 @@
 		sed "s/#define *CURL/{\"/" | sed "s/ *\/\*.*\*\///" | \
 		sed "s/ /\",/" | sed "s/$$/},/" > curl_authopt.h
 
+curl_ftpauthopt.h:$(HEADER)
+	$(H)cat /usr/include/curl/curl.h | grep -B10 '} curl_ftpauth' | \
+		grep "CURLFTPAUTH_" | \
+		grep -v "LAST.*never use" | \
+		sed "s/^ *CURL//" | sed "s/^\([^,]*\),.*$$/{\"\1\",CURL\1},/" \
+		> curl_ftpauthopt.h
+
+curl_ftpmethods.h:$(HEADER)
+	$(H)cat /usr/include/curl/curl.h | grep -B10 '} curl_ftpmethod' | \
+		grep "CURLFTPMETHOD_" | \
+		grep -v "LAST.*never use" | \
+		sed "s/^ *CURL//" | sed "s/^\([^,]*\),.*$$/{\"\1\",CURL\1},/" \
+		> curl_ftpmethods.h
+
 curl_form.h: $(HEADER)
 	$(H)cat $(HEADER) | grep "^ *CFINIT" | grep -v "CFINIT(NOTHING)" | \
 		sed 's/^ *CFINIT(\([^)]*\)),.*$$/{"FORM_\1",CURLFORM_\1},/' \
 		> curl_form.h
 
+# win32 stuff
+
+.PHONY: win32-openssl
+
+win32-openssl:
+	make clean
+	make constants HEADER=/usr/i586-mingw32msvc/include/curl/curl.h
+	mkdir -p win32-openssl
+	cd win32-openssl; unzip ../lua5_1_4_Win32_dll8_lib.zip
+	cd win32-openssl; rm *.dll *.lib
+	cd win32-openssl; unzip ../lua5_1_4_Win32_bin.zip
+	i586-mingw32msvc-gcc \
+		-I win32-openssl/include/ \
+		-I . -I /usr/i586-mingw32msvc/include/ \
+		-c lua-curl.c -o win32-openssl/lua-curl.o 
+	i586-mingw32msvc-gcc -I . \
+		-I win32-openssl/include/ \
+		-I /usr/i586-mingw32msvc/include/ \
+		-c luabind.c -o win32-openssl/luabind.o 
+	i586-mingw32msvc-dlltool -e win32-openssl/exports.o -l win32-openssl/lua-curl.lib win32-openssl/*.o
+	i586-mingw32msvc-gcc win32-openssl/*.o \
+		-o win32-openssl/curl.dll -shared \
+		-L /usr/i586-mingw32msvc/bin/ \
+		win32-openssl/lua5.1.dll \
+		-lcurl-4
+	for X in libcurl-4 libz; do\
+		cp /usr/i586-mingw32msvc/bin/$$X.dll win32-openssl;\
+	done
+	cp test.lua win32-openssl
+	rm -rf win32-openssl/*.o win32-openssl/include/ \
+		win32-openssl/*.lib win32-openssl/lua51.dll
+	i586-mingw32msvc-strip win32-openssl/*.dll
+	cp -r win32-openssl freepops-lua-curl-binary-win32-openssl
+	zip -r freepops-lua-curl-binary-win32-openssl.zip freepops-lua-curl-binary-win32-openssl
+	rm -rf freepops-lua-curl-binary-win32-openssl
+	mv freepops-lua-curl-binary-win32-openssl.zip ..
+
+
 # eof
