=== debian/changelog ===
lua-curl (0.3.0-13) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with new curl. (Closes: #1114192)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Oct 2025 17:45:36 +0300

lua-curl (0.3.0-12) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Homepage.
  * Move Vcs to salsa.

 -- Bastian Germann <bage@debian.org>  Fri, 17 Feb 2023 00:22:39 +0100

lua-curl (0.3.0-11) unstable; urgency=medium

  * QA upload.
  * Fix empty curl_ftpauthopt.h and curl_ftpmethods.h due to
    multiarch location of curl.h.
  * Fix curl.h parsing to fix empty curlopt.h. (Closes: #1026097)

 -- Adrian Bunk <bunk@debian.org>  Fri, 27 Jan 2023 20:48:20 +0200

lua-curl (0.3.0-10) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995507)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 07:37:09 -0300

lua-curl (0.3.0-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870549).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:17:08 +0100

lua-curl (0.3.0-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * curl headers are now in the multiarch include form, use them.
    (Closes: #852044)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 28 Jan 2017 14:09:19 +0000

lua-curl (0.3.0-9) unstable; urgency=medium

  * Fix FTBFS (Closes: #755338) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Aug 2014 11:10:17 +0200

lua-curl (0.3.0-8) unstable; urgency=medium

  * Ported to Lua 5.2 (thanks Igor Bogomazov) (Closes: #746213)
  * Remove transitional packages

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 11 May 2014 17:13:22 +0200

lua-curl (0.3.0-7) unstable; urgency=low

  * Fix Makefile to generate curl_authopt.h in a proper way 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 10:52:01 +0200

lua-curl (0.3.0-6) unstable; urgency=low

  * Switch to dh-lua
  * Packages renamed according to the new Lua policy
  * bumped standards-version to 3.9.3, no changes
  * debian/compat set to 8
  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 10:43:44 +0200

lua-curl (0.3.0-5) unstable; urgency=low

  * buped standards-version to 3.9.2, no change needed 
  * multi-arch compliant (dh >= 8.1.3, lua5.1-policy >= 32)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:28:09 +0200

lua-curl (0.3.0-4) unstable; urgency=low

  * source format 3.0 quilt
  * add make.patch to fix compilation with recent curl headers
  * buped standards-version to 3.9.1, depend on liblua5.1-policy-dev >= 27

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 20 Feb 2011 14:45:06 +0100

lua-curl (0.3.0-3) unstable; urgency=low

  * changed lua to Lua 
  * build-depend on lua5.1-policy-dev >= 22
  * buped standards-version to 3.8.2, no change needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 15:46:58 +0200

lua-curl (0.3.0-2) unstable; urgency=low

  * upload to unstable
  * standards version bumped to 3.8.1, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Mar 2009 10:08:46 +0100

lua-curl (0.3.0-1) experimental; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 25 Oct 2008 18:38:54 +0200

lua-curl (0.2.1-3) unstable; urgency=low

  * Renamed cdbs deprecated variable 
  * Bumped standards versions
  * Added Homepage control field
  * Fixed package description
  * Updated Vcs-* fields
  * Moved -dev package to  Section libdevel
  * Commented test.dpatch to make lintian happy

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 22 Mar 2008 21:24:05 +0100

lua-curl (0.2.1-2) unstable; urgency=low

  * Made control file binNMU safe

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 13 May 2007 21:06:39 +0200

lua-curl (0.2.1-1) unstable; urgency=low

  * New upstream release that fixes large file support (Closes: #410360)
  * Added a note about the documentation shipped within the -dev package
    in the control file (Closes: #410005)
  * Added conmpilation flags for large file support
  * Added call to `lua5.1-policy-apply -r` to the clean:: hook

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 15 Feb 2007 17:11:54 +0100

lua-curl (0.2.0-4) unstable; urgency=low

  * Moved to lua5.1-policy version 7

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Oct 2006 13:31:59 +0200

lua-curl (0.2.0-3) unstable; urgency=low

  * added XS-X-Vcs-svn field to control file.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:44:40 +0200

lua-curl (0.2.0-2) unstable; urgency=low

  * Fixed a typo in the package description.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 10 Sep 2006 14:33:47 +0200

lua-curl (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #383798)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Aug 2006 20:15:23 +0200
