=== debian/control ===
Source: lua-curl
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.1.3), libcurl4-gnutls-dev (>= 7.52.1-1~), dh-lua
Standards-Version: 3.9.3
Vcs-Git: https://salsa.debian.org/lua-team/lua-curl.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-curl

Package: lua-curl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libcURL bindings for the Lua language
 This package contains the bindings for the cURL library.
 Currently many different implementations of cURL bindings are available,
 this package includes the one developed for the FreePOPs project
 (see <http://www.freepops.org>).

Package: lua-curl-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: lua-curl (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libcURL development files for the Lua language
 This package contains the development files of the libcURL Lua bindings,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 .
 Documentation is also shipped within this package.
