=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	$(MAKE) -f Makefile clean
	dh_auto_clean

override_dh_auto_configure:
	$(MAKE) -f Makefile HEADER="/usr/include/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/curl/curl.h" constants
	dh_auto_configure
