=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package luacurl
#
version=3
http://luaforge.net/frs/?group_id=117 \
	/frs/download.php/\d+/freepops-luacurl-source-([\d\.]*).tgz
